Bug 1955879 - Customer tags cannot be seen in S3 level when set spec.managementState from Managed-> Removed-> Managed in configs.imageregistry with high ratio
Summary: Customer tags cannot be seen in S3 level when set spec.managementState from M...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.8.0
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks: 1957308
TreeView+ depends on / blocked
 
Reported: 2021-05-01 08:20 UTC by Wenjing Zheng
Modified: 2021-05-07 08:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Bucket tags were being overwritten during a subsequent operator sync cycle. Consequence: Bucket was loosing user provided tags. Fix: A patch was placed making the operator to start to respect spec.storage.managementState when setting the tags. This way users can now clearly inform their intention on who/what is managing the remote storage (aws bucket on this case). Result: User provided tags are always set in the bucket if user sets spec.storage.managementState to "Managed".
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 683 0 None open Bug 1955879: Setting user tags always when Storage is Managed 2021-05-04 10:41:01 UTC

Description Wenjing Zheng 2021-05-01 08:20:16 UTC
Description of problem:
Launch a cluster with userTags in install-config defined, tags can be seen in S3 level when cluster is ready; but when set spec.managementState from Managed-> Removed-> Managed in configs.imageregistry, tags are gone in S3 level.

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-04-30-201824

How reproducible:
60%

Steps to Reproduce:
1.Launch a cluster with userTags defined in install-config, below values can be seen in infrastructure.config.openshift.io:
status:
  platformStatus:
    aws:
      region: us-east-2
      resourceTags:
      - key: adminContact
        value: wzheng
      - key: costCenter
        value: qe
    type: AWS
2.Check the tags in S3 level from AWS console
3.Set spec.managementState from Managed-> Removed-> Managed in configs.imageregistry

Actual results:
2. Tags can be seen and they are the same with the ones defined in install-config.
3. Tags are gone.

Expected results:
Tags should exist when image registry is restarted.

Additional info:
Definition in install-config:
platform:
  aws:
    region: us-east-2
    experimentalPropagateUserTags: yes
    userTags:
      adminContact: wzheng
      costCenter: qe

Comment 3 Wenjing Zheng 2021-05-06 03:10:16 UTC
No available payload to verify the bug till now.

Comment 4 Wenjing Zheng 2021-05-07 03:42:22 UTC
Verified on 4.8.0-0.nightly-2021-05-06-210840: cannot reproduce this issue with 6 clusters.


Note You need to log in before you can comment on or make changes to this bug.